{ pkgs, lib, rustPlatform }:

let
  pname = "openscad-language-server";
  version = "0.1.0";
  src = pkgs.fetchFromGitHub {
    owner = "dzhu";
    repo = pname;
    rev = version;
    sha256 = "00msajwwy531ji93xk83lbnbp19asyk1b8ai0hi2awb63vpdr4xg";
  };
in
rustPlatform.buildRustPackage {
  inherit pname;
  inherit version;
  inherit src;

  cargoSha256 = "0w245d5n0v8b02y0rc1lqx1svi9dnif4gvsas46h9g68206yijcf";

  meta = with lib; {
    description = "openscad language server";
  };
}
